Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001500Frama-CKernelpublic2013-10-09 16:542014-03-13 15:57
Reporterpascal 
Assigned Tovirgile 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C GIT, precise the release id 
Target VersionFixed in VersionFrama-C Neon-20140301 
Summary0001500: r24011: failure: Invalid combination of type specifiers
DescriptionThe following program is accepted by gcc:


$ cat l.c
typedef int digit;

struct S {
  int const digit;
};

$ gcc -c l.c


But Frama-C fails to parse it:


$ frama-c l.c
[kernel] preprocessing with "gcc -C -E -I. l.c"
l.c:3:[kernel] failure: Invalid combination of type specifiers:
                  int digit
[kernel] user error: skipping file "l.c" that has errors.
[kernel] Frama-C aborted: invalid user input.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004555)

2014-02-12 16:57

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2013-10-09 16:54 pascal New Issue
2013-10-09 16:55 pascal Status new => assigned
2013-10-09 16:55 pascal Assigned To => virgile
2013-10-09 17:39 virgile Status assigned => confirmed
2013-10-09 23:21 pascal Description Updated
2013-10-17 17:11 svn Checkin
2013-10-17 17:11 svn Status confirmed => resolved
2013-10-17 17:11 svn Resolution open => fixed
2014-02-12 16:57 Note Added: 0004555
2014-03-13 15:56 signoles Fixed in Version => Frama-C Neon-20140301
2014-03-13 15:57 signoles Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker